#
# spec file for package ghc-uri-bytestring
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name uri-bytestring
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.3.2.1
Release:        lp151.1.3
Summary:        Haskell URI parsing as ByteStrings
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-th-lift-instances-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-generics-sop-devel
BuildRequires:  ghc-quickcheck-instances-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
BuildRequires:  ghc-transformers-devel
%endif

%description
Uri-bytestring aims to be an RFC3986 compliant URI parser that uses efficient
ByteStrings for parsing and representing the URI data.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%license licenses/http-types/LICENSE

%files devel -f %{name}-devel.files
%doc README.md changelog.md

%changelog
* Fri Oct 12 2018 psimons@suse.com
- Update uri-bytestring to version 0.3.2.1.
  0.3.2.1
  * Loosen upper bounds on template-haskell
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Fri Jul 13 2018 psimons@suse.com
- Update uri-bytestring to version 0.3.2.0.
  0.3.2.0
  * Only depend on the fail package when it is needed due to GHC version.
* Mon May 14 2018 psimons@suse.com
- Update uri-bytestring to version 0.3.1.1.
  * Avoid using OverloadedStrings for Builder.
  * Fix normalization bug where certain combination of options would fail to add a trailing slash.
  * Add MonadFail instance.
  * Correct haddock spelling mistake.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Jun 12 2017 psimons@suse.com
- Update to version 0.2.3.3.
* Thu Jun  8 2017 psimons@suse.com
- Update to version 0.2.3.2.
* Tue Mar  7 2017 psimons@suse.com
- Update to version 0.2.3.1 with cabal2obs.
* Mon Feb 27 2017 psimons@suse.com
- Update to version 0.2.3.0 with cabal2obs.
* Tue Nov 29 2016 psimons@suse.com
- Update to version 0.2.2.1 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.2.2.0 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.2.1.2 revision 0 with cabal2obs.
